# class DBus::Data::Int16

Signed 16 bit integer.

### Constants

FORMAT

### Public Class Methods

alignment() click to toggle source

        # File lib/dbus/data.rb
    253 def self.alignment
    254   2
    255 end

format() click to toggle source

        # File lib/dbus/data.rb
    258 def self.format
    259   FORMAT
    260 end

range() click to toggle source

        # File lib/dbus/data.rb
    262 def self.range
    263   (-32_768..32_767)
    264 end

type_code() click to toggle source

        # File lib/dbus/data.rb
    249 def self.type_code
    250   "n"
    251 end